<?php
/*
Plugin Name: If-So Browser Type Add-on
Description: Adds Browser Type conditions to your if-so installation, unaffected by the main plugin's updates
Version: 1.0
Author: If So Plugin
Author URI: http://www.if-so.com/
License: GPL-2.0+
License URI: http://www.gnu.org/licenses/gpl-2.0.txt

@author: Nick Martianov
*/

if(!defined('WPINC')){
    die();
}

function ifso_browser_type_extension_plugin(){
    if(!defined('IFSO_PLUGIN_BASE_DIR')){
        die('Please activate the If-So plugin first to use this extension!');
    }
}

register_activation_hook( __FILE__, 'ifso_browser_type_extension_plugin' );


define('IFSO_BROWSER_TYPE_ON',true);
define('IFSO_BROWSER_TYPE_DIR',__DIR__);

add_action( 'plugins_loaded', function(){
    if(defined('IFSO_BROWSER_TYPE_DIR') && IFSO_BROWSER_TYPE_ON){
        require_once(__DIR__ . '/ifso-browser-type-initializer.class.php');
        $init = new IfsoBrowserTypeInitializer();  //Hooks into the relevant actions and initializes everything for the plugin to function
    }
} );


