<?php
require_once IFSO_PLUGIN_SERVICES_BASE_DIR . 'triggers-service/triggers/trigger-base.class.php';
require_once IFSO_BROWSER_TYPE_DIR . '/Browser.php';
use IfSo\PublicFace\Services\TriggersService\Triggers as IfSoTriggers;

class operatingSystemTrigger extends IfSoTriggers\TriggerBase{
    public function __construct() {
        parent::__construct('operatingSystem');
    }

    public function handle($trigger_data){  
        $rule = $trigger_data->get_rule();
        $content = $trigger_data->get_content();

        $platformTypeVal = $rule['platformtype-value'];
        $relarionship = $rule['platformtype-relationship'];
		
		if($relarionship === 'is' && $this->platform_type_is_in_list([$platformTypeVal]))
            return $content;
        if($relarionship === 'is-not' && !$this->platform_type_is_in_list([$platformTypeVal]))
            return $content;		

        return false;
    }
	
	private function platform_type_is_in_list($list){
        $objBrowser = new Browser();
        $visitorPlatform = strtolower($objBrowser->getPlatform());
		if(in_array($visitorPlatform,$list)){
                    return true;
        }
        return false;
    }

 }